Package org.gitana.platform.client.meter

# Class MeterImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.platform.AbstractPlatformDocumentImpl
org.gitana.platform.client.registrar.AbstractRegistrarDocumentImpl
org.gitana.platform.client.meter.MeterImpl

All Implemented Interfaces:
  `Serializable`, `Document`, `Meter`, `PlatformDocument`, `RegistrarDocument`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class MeterImpl extends AbstractRegistrarDocumentImpl implements Meter

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.meter.Meter

`DEFAULT_COLLECTION_ID, FIELD_BILLABLE_BYTE_COUNT, FIELD_BILLABLE_BYTE_COUNT_PERCENTAGE, FIELD_BILLABLE_OBJECT_COUNT, FIELD_BILLABLE_OBJECT_COUNT_PERCENTAGE, FIELD_MAX_BYTE_COUNT, FIELD_MAX_OBJECT_COUNT, FIELD_METER_END, FIELD_METER_START, FIELD_METER_TYPE, FIELD_RAW_BYTE_COUNT, FIELD_RAW_BYTE_COUNT_PERCENTAGE, FIELD_RAW_OBJECT_COUNT, FIELD_RAW_OBJECT_COUNT_PERCENTAGE, FIELD_TENANT_ID, FIELD_UNPROCESSED_BYTE_COUNT, FIELD_UNPROCESSED_OBJECT_COUNT`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`MeterImpl(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`void`
`delete()`
Delete
`boolean`
`equals(Object object)`
`long`
`getBillableByteCount()`
`BigDecimal`
`getBillableByteCountPercentage()`
`long`
`getBillableObjectCount()`
`BigDecimal`
`getBillableObjectCountPercentage()`
`long`
`getMaxByteCount()`
`long`
`getMaxObjectCount()`
`Calendar`
`getMeterEnd()`
`Calendar`
`getMeterStart()`
`org.gitana.platform.services.meter.MeterType`
`getMeterType()`
`long`
`getRawByteCount()`
`BigDecimal`
`getRawByteCountPercentage()`
`long`
`getRawObjectCount()`
`BigDecimal`
`getRawObjectCountPercentage()`
`protected String`
`getResourceUri()`
`String`
`getTenantId()`
`String`
`getTypeId()`
`long`
`getUnprocessedByteCount()`
`long`
`getUnprocessedObjectCount()`
`void`
`reload()`
Reload
`void`
`setBillableByteCount(long billableByteCount)`
`void`
`setBillableByteCountPercentage(BigDecimal billableByteCountPercentage)`
`void`
`setBillableObjectCount(long billableObjectCount)`
`void`
`setBillableObjectCountPercentage(BigDecimal billableObjectCountPercentage)`
`void`
`setMaxByteCount(long maxByteCount)`
`void`
`setMaxObjectCount(long maxObjectCount)`
`void`
`setMeterEnd(Calendar meterEnd)`
`void`
`setMeterStart(Calendar meterStart)`
`void`
`setMeterType(org.gitana.platform.services.meter.MeterType meterType)`
`void`
`setRawByteCount(long rawByteCount)`
`void`
`setRawByteCountPercentage(BigDecimal rawByteCountPercentage)`
`void`
`setRawObjectCount(long rawObjectCount)`
`void`
`setRawObjectCountPercentage(BigDecimal rawObjectCountPercentage)`
`void`
`setTenantId(String tenantId)`
`void`
`setUnprocessedByteCount(long unprocessedByteCount)`
`void`
`setUnprocessedObjectCount(long unprocessedObjectCount)`
`void`
`update()`
Update

### Methods inherited from class org.gitana.platform.client.registrar.AbstractRegistrarDocumentImpl

`getRegistrar, getRegistrarId, ref`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDocumentImpl

`copy, copy, copyAsync, copyAsync, exportArchive, exportArchive, exportArchive, getCluster, getDriver, getFactory, getPlatform, getPlatformId, getRemote, importArchive, importArchive, importArchive`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getId, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.registrar.RegistrarDocument

`getRegistrar, getRegistrarId`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### MeterImpl

public MeterImpl(Registrar registrar, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

protected String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractPlatformDocumentImpl`

### equals

public boolean equals(Object object)

Overrides:
  `equals` in class `Object`

### update

public void update()
Description copied from interface: `Selfable`
Update

Specified by:
  `update` in interface `Selfable`

### delete

public void delete()
Description copied from interface: `Selfable`
Delete

Specified by:
  `delete` in interface `Selfable`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`

### getTenantId

public String getTenantId()

Specified by:
  `getTenantId` in interface `Meter`

### setTenantId

public void setTenantId(String tenantId)

Specified by:
  `setTenantId` in interface `Meter`

### getMeterType

public org.gitana.platform.services.meter.MeterType getMeterType()

Specified by:
  `getMeterType` in interface `Meter`

### setMeterType

public void setMeterType(org.gitana.platform.services.meter.MeterType meterType)

Specified by:
  `setMeterType` in interface `Meter`

### getMeterStart

public Calendar getMeterStart()

Specified by:
  `getMeterStart` in interface `Meter`

### setMeterStart

public void setMeterStart(Calendar meterStart)

Specified by:
  `setMeterStart` in interface `Meter`

### getMeterEnd

public Calendar getMeterEnd()

Specified by:
  `getMeterEnd` in interface `Meter`

### setMeterEnd

public void setMeterEnd(Calendar meterEnd)

Specified by:
  `setMeterEnd` in interface `Meter`

### getMaxByteCount

public long getMaxByteCount()

Specified by:
  `getMaxByteCount` in interface `Meter`

### setMaxByteCount

public void setMaxByteCount(long maxByteCount)

Specified by:
  `setMaxByteCount` in interface `Meter`

### getRawByteCount

public long getRawByteCount()

Specified by:
  `getRawByteCount` in interface `Meter`

### setRawByteCount

public void setRawByteCount(long rawByteCount)

Specified by:
  `setRawByteCount` in interface `Meter`

### getRawByteCountPercentage

public BigDecimal getRawByteCountPercentage()

Specified by:
  `getRawByteCountPercentage` in interface `Meter`

### setRawByteCountPercentage

public void setRawByteCountPercentage(BigDecimal rawByteCountPercentage)

Specified by:
  `setRawByteCountPercentage` in interface `Meter`

### getUnprocessedByteCount

public long getUnprocessedByteCount()

Specified by:
  `getUnprocessedByteCount` in interface `Meter`

### setUnprocessedByteCount

public void setUnprocessedByteCount(long unprocessedByteCount)

Specified by:
  `setUnprocessedByteCount` in interface `Meter`

### getBillableByteCount

public long getBillableByteCount()

Specified by:
  `getBillableByteCount` in interface `Meter`

### setBillableByteCount

public void setBillableByteCount(long billableByteCount)

Specified by:
  `setBillableByteCount` in interface `Meter`

### getBillableByteCountPercentage

public BigDecimal getBillableByteCountPercentage()

Specified by:
  `getBillableByteCountPercentage` in interface `Meter`

### setBillableByteCountPercentage

public void setBillableByteCountPercentage(BigDecimal billableByteCountPercentage)

Specified by:
  `setBillableByteCountPercentage` in interface `Meter`

### getMaxObjectCount

public long getMaxObjectCount()

Specified by:
  `getMaxObjectCount` in interface `Meter`

### setMaxObjectCount

public void setMaxObjectCount(long maxObjectCount)

Specified by:
  `setMaxObjectCount` in interface `Meter`

### getRawObjectCount

public long getRawObjectCount()

Specified by:
  `getRawObjectCount` in interface `Meter`

### setRawObjectCount

public void setRawObjectCount(long rawObjectCount)

Specified by:
  `setRawObjectCount` in interface `Meter`

### getRawObjectCountPercentage

public BigDecimal getRawObjectCountPercentage()

Specified by:
  `getRawObjectCountPercentage` in interface `Meter`

### setRawObjectCountPercentage

public void setRawObjectCountPercentage(BigDecimal rawObjectCountPercentage)

Specified by:
  `setRawObjectCountPercentage` in interface `Meter`

### getUnprocessedObjectCount

public long getUnprocessedObjectCount()

Specified by:
  `getUnprocessedObjectCount` in interface `Meter`

### setUnprocessedObjectCount

public void setUnprocessedObjectCount(long unprocessedObjectCount)

Specified by:
  `setUnprocessedObjectCount` in interface `Meter`

### getBillableObjectCount

public long getBillableObjectCount()

Specified by:
  `getBillableObjectCount` in interface `Meter`

### setBillableObjectCount

public void setBillableObjectCount(long billableObjectCount)

Specified by:
  `setBillableObjectCount` in interface `Meter`

### getBillableObjectCountPercentage

public BigDecimal getBillableObjectCountPercentage()

Specified by:
  `getBillableObjectCountPercentage` in interface `Meter`

### setBillableObjectCountPercentage

public void setBillableObjectCountPercentage(BigDecimal billableObjectCountPercentage)

Specified by:
  `setBillableObjectCountPercentage` in interface `Meter`